import { styled } from '@mui/material';
import { useTheme } from '@mui/material/styles';

interface LinkedinIconProps {
  iconColor?: string;
  circleColor?: string;
}

export const LinkedinIcon = styled((props: LinkedinIconProps) => {
  const theme = useTheme();
  const {
    circleColor = '#FFFFFF',
    iconColor = theme.palette.secondary.main,
    ...other
  } = props;

  return (
    <svg
      width="24"
      height="24"
      fill="none"
      viewBox="0 0 24 24"
      xmlns="http://www.w3.org/2000/svg"
      {...other}
    >
      <ellipse cx="12.1905" cy="11.9135" rx="10.2857" ry="9.67914" fill={iconColor} />
      <path d="M12 0C9.62663 0 7.30655 0.703787 5.33316 2.02236C3.35977 3.34094 1.8217 5.21508 0.913451 7.40779C0.00519938 9.60051 -0.232441 12.0133 0.230582 14.3411C0.693605 16.6688 1.83649 18.807 3.51472 20.4853C5.19295 22.1635 7.33115 23.3064 9.65892 23.7694C11.9867 24.2324 14.3995 23.9948 16.5922 23.0865C18.7849 22.1783 20.6591 20.6402 21.9776 18.6668C23.2962 16.6934 24 14.3734 24 12C24 8.8174 22.7357 5.76515 20.4853 3.51472C18.2348 1.26428 15.1826 0 12 0V0ZM8.94632 17.5942C8.94632 17.7018 8.90357 17.805 8.82747 17.8811C8.75137 17.9572 8.64815 18 8.54053 18H6.81632C6.76297 18.0002 6.71011 17.9898 6.66078 17.9695C6.61146 17.9492 6.56664 17.9193 6.52892 17.8816C6.4912 17.8439 6.46131 17.7991 6.44099 17.7497C6.42067 17.7004 6.41032 17.6475 6.41053 17.5942V10.3642C6.41053 10.2566 6.45328 10.1534 6.52938 10.0773C6.60548 10.0012 6.7087 9.95842 6.81632 9.95842H8.54053C8.64815 9.95842 8.75137 10.0012 8.82747 10.0773C8.90357 10.1534 8.94632 10.2566 8.94632 10.3642V17.5942ZM7.68316 9.27789C7.35881 9.27914 7.04138 9.18412 6.77106 9.00486C6.50074 8.8256 6.28969 8.57017 6.16463 8.27089C6.03957 7.97162 6.00612 7.64197 6.06851 7.32367C6.13091 7.00537 6.28634 6.71275 6.51514 6.48284C6.74394 6.25294 7.03582 6.09609 7.35381 6.03216C7.6718 5.96823 8.00161 6.00009 8.30148 6.12371C8.60136 6.24733 8.85781 6.45714 9.03837 6.72659C9.21893 6.99604 9.31548 7.31301 9.31579 7.63736C9.316 7.85259 9.27381 8.06576 9.19164 8.26468C9.10947 8.46361 8.98892 8.6444 8.83687 8.79674C8.68483 8.94907 8.50427 9.06997 8.3055 9.15253C8.10674 9.23509 7.89365 9.27768 7.67842 9.27789H7.68316ZM17.9653 17.6274C17.9653 17.7262 17.926 17.821 17.8561 17.8908C17.7862 17.9607 17.6915 18 17.5926 18H15.7374C15.6385 18 15.5438 17.9607 15.4739 17.8908C15.404 17.821 15.3647 17.7262 15.3647 17.6274V14.2358C15.3647 13.7289 15.5116 12.0253 14.0416 12.0253C12.9016 12.0253 12.6695 13.1968 12.6205 13.7226V17.6353C12.6185 17.7322 12.5787 17.8245 12.5098 17.8926C12.4408 17.9607 12.348 17.9992 12.2511 18H10.4605C10.4115 18.0002 10.363 17.9907 10.3177 17.9721C10.2724 17.9534 10.2312 17.926 10.1966 17.8913C10.1619 17.8567 10.1345 17.8155 10.1158 17.7702C10.0972 17.7249 10.0877 17.6764 10.0879 17.6274V10.3326C10.0877 10.2836 10.0972 10.2349 10.1158 10.1895C10.1344 10.1441 10.1619 10.1029 10.1965 10.0681C10.2311 10.0333 10.2723 10.0058 10.3176 9.98693C10.3629 9.96811 10.4115 9.95842 10.4605 9.95842H12.2511C12.3007 9.95758 12.3501 9.96664 12.3962 9.98507C12.4423 10.0035 12.4843 10.0309 12.5198 10.0658C12.5552 10.1006 12.5833 10.1421 12.6025 10.1879C12.6217 10.2338 12.6316 10.2829 12.6316 10.3326V10.9642C13.0547 10.3326 13.6832 9.83842 15.0205 9.83842C17.9858 9.83842 17.9684 12.6079 17.9684 14.1284L17.9653 17.6274Z" fill={circleColor} />
    </svg>
  );
})``;